/***************************************************************************
               NOTEMIDIIOCTL - lists OSS IOCTL numeric values
                            -------------------
    begin                : 16 May, 2001
    copyright            : (C) 2001 by Michael Minn
    email                : michael@michaelminn.com

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

***************************************************************************/

#include <stdio.h>
#include <sys/soundcard.h>

int main (int argc, char **argv)
{
	printf("NOTEMIDIIOCTL v2001.06.15 by Michael Minn\n");
	printf("A listing of OSS IOCTL values\n\n");

	printf("/dev/sequencer --------------------\n");
	printf("  SNDCTL_SEQ_RESET = 0x%x\n", SNDCTL_SEQ_RESET);
	printf("  SNDCTL_SEQ_SYNC = 0x%x\n", SNDCTL_SEQ_SYNC);
	printf("  SNDCTL_SYNTH_INFO = 0x%x\n", SNDCTL_SYNTH_INFO);
	printf("  SNDCTL_SEQ_CTRLRATE = 0x%x\n", SNDCTL_SEQ_CTRLRATE);
	printf("  SNDCTL_SEQ_GETOUTCOUNT = 0x%x\n", SNDCTL_SEQ_GETOUTCOUNT);
	printf("  SNDCTL_SEQ_GETINCOUNT = 0x%x\n", SNDCTL_SEQ_GETINCOUNT);
	printf("  SNDCTL_SEQ_PERCMODE = 0x%x\n", SNDCTL_SEQ_PERCMODE);
	printf("  SNDCTL_FM_LOAD_INSTR = 0x%x\n", SNDCTL_FM_LOAD_INSTR);
	printf("  SNDCTL_SEQ_TESTMIDI = 0x%x\n", SNDCTL_SEQ_TESTMIDI);
	printf("  SNDCTL_SEQ_RESETSAMPLES = 0x%x\n", SNDCTL_SEQ_RESETSAMPLES);
	printf("  SNDCTL_SEQ_NRSYNTHS = 0x%x\n", SNDCTL_SEQ_NRSYNTHS);
	printf("  SNDCTL_SEQ_NRMIDIS = 0x%x\n", SNDCTL_SEQ_NRMIDIS);
	printf("  SNDCTL_MIDI_INFO = 0x%x\n", SNDCTL_MIDI_INFO);
	printf("  SNDCTL_SEQ_THRESHOLD = 0x%x\n", SNDCTL_SEQ_THRESHOLD);
	printf("  SNDCTL_SYNTH_MEMAVL = 0x%x\n", SNDCTL_SYNTH_MEMAVL);
	printf("  SNDCTL_FM_4OP_ENABLE = 0x%x\n", SNDCTL_FM_4OP_ENABLE);
	printf("  SNDCTL_SEQ_PANIC = 0x%x\n", SNDCTL_SEQ_PANIC);
	printf("  SNDCTL_SEQ_OUTOFBAND = 0x%x\n", SNDCTL_SEQ_OUTOFBAND);
	printf("  SNDCTL_SEQ_GETTIME = 0x%x\n", SNDCTL_SEQ_GETTIME);
	printf("  SNDCTL_SYNTH_ID = 0x%x\n", SNDCTL_SYNTH_ID);
	printf("  SNDCTL_SYNTH_CONTROL = 0x%x\n", SNDCTL_SYNTH_CONTROL);
	printf("  SNDCTL_SYNTH_REMOVESAMPLE = 0x%x\n", SNDCTL_SYNTH_REMOVESAMPLE);

	printf("  SNDCTL_TMR_TIMEBASE = 0x%x\n", SNDCTL_TMR_TIMEBASE);
	printf("  SNDCTL_TMR_START = 0x%x\n",    SNDCTL_TMR_START);
	printf("  SNDCTL_TMR_STOP = 0x%x\n",     SNDCTL_TMR_STOP);
	printf("  SNDCTL_TMR_CONTINUE = 0x%x\n", SNDCTL_TMR_CONTINUE);
	printf("  SNDCTL_TMR_TEMPO = 0x%x\n",    SNDCTL_TMR_TEMPO);
	printf("  SNDCTL_TMR_SOURCE = 0x%x\n",   SNDCTL_TMR_SOURCE);
	printf("  SNDCTL_TMR_METRONOME = 0x%x\n",SNDCTL_TMR_METRONOME);
	printf("  SNDCTL_TMR_SELECT = 0x%x\n", SNDCTL_TMR_SELECT);

	printf("/dev/dsp --------------------\n");
	printf("  SNDCTL_DSP_RESET = 0x%x\n", SNDCTL_DSP_RESET);
	printf("  SNDCTL_DSP_SYNC = 0x%x\n", SNDCTL_DSP_SYNC);
	printf("  SNDCTL_DSP_SPEED = 0x%x\n", SNDCTL_DSP_SPEED);
	printf("  SNDCTL_DSP_STEREO = 0x%x\n", SNDCTL_DSP_STEREO);
	printf("  SNDCTL_DSP_GETBLKSIZE = 0x%x\n",SNDCTL_DSP_GETBLKSIZE);
	printf("  SNDCTL_DSP_SAMPLESIZE = 0x%x\n",SNDCTL_DSP_SAMPLESIZE);
	printf("  SNDCTL_DSP_SETFMT = 0x%x\n", SNDCTL_DSP_SETFMT);
	printf("  SNDCTL_DSP_CHANNELS = 0x%x\n", SNDCTL_DSP_CHANNELS);
	printf("  SOUND_PCM_WRITE_CHANNELS = 0x%x\n", SOUND_PCM_WRITE_CHANNELS);
	printf("  SOUND_PCM_WRITE_FILTER = 0x%x\n", SOUND_PCM_WRITE_FILTER);
	printf("  SNDCTL_DSP_POST = 0x%x\n",SNDCTL_DSP_POST);
	printf("  SNDCTL_DSP_SUBDIVIDE = 0x%x\n",SNDCTL_DSP_SUBDIVIDE);
	printf("  SNDCTL_DSP_SETFRAGMENT = 0x%x\n", SNDCTL_DSP_SETFRAGMENT);

	printf("  SNDCTL_DSP_GETFMTS = 0x%x\n", SNDCTL_DSP_GETFMTS);
	printf("  SNDCTL_DSP_SETFMT = 0x%x\n", SNDCTL_DSP_SETFMT);

	printf("  SNDCTL_DSP_GETOSPACE = 0x%x\n", SNDCTL_DSP_GETOSPACE);
	printf("  SNDCTL_DSP_GETISPACE = 0x%x\n", SNDCTL_DSP_GETISPACE);
	printf("  SNDCTL_DSP_NONBLOCK = 0x%x\n",  SNDCTL_DSP_NONBLOCK);
	printf("  SNDCTL_DSP_GETCAPS = 0x%x\n",   SNDCTL_DSP_GETCAPS);

	printf("  SNDCTL_DSP_GETTRIGGER = 0x%x\n",SNDCTL_DSP_GETTRIGGER);
	printf("  SNDCTL_DSP_SETTRIGGER = 0x%x\n",SNDCTL_DSP_SETTRIGGER);

	printf("  SNDCTL_DSP_GETIPTR = 0x%x\n",   SNDCTL_DSP_GETIPTR);
	printf("  SNDCTL_DSP_GETOPTR = 0x%x\n",   SNDCTL_DSP_GETOPTR);
	printf("  SNDCTL_DSP_MAPINBUF = 0x%x\n",  SNDCTL_DSP_MAPINBUF);
	printf("  SNDCTL_DSP_MAPOUTBUF = 0x%x\n", SNDCTL_DSP_MAPOUTBUF);
	printf("  SNDCTL_DSP_SETSYNCRO = 0x%x\n", SNDCTL_DSP_SETSYNCRO);
	printf("  SNDCTL_DSP_SETDUPLEX = 0x%x\n", SNDCTL_DSP_SETDUPLEX);
	printf("  SNDCTL_DSP_GETODELAY = 0x%x\n", SNDCTL_DSP_GETODELAY  );

	printf("  SNDCTL_DSP_GETCHANNELMASK = 0x%x\n",SNDCTL_DSP_GETCHANNELMASK);
	printf("  SNDCTL_DSP_BIND_CHANNEL = 0x%x\n",  SNDCTL_DSP_BIND_CHANNEL);

	printf("  SNDCTL_DSP_PROFILE = 0x%x\n", SNDCTL_DSP_PROFILE);
	printf("  SOUND_PCM_READ_RATE = 0x%x\n", SOUND_PCM_READ_RATE);
	printf("  SOUND_PCM_READ_CHANNELS = 0x%x\n",SOUND_PCM_READ_CHANNELS);
	printf("  SOUND_PCM_READ_BITS = 0x%x\n",    SOUND_PCM_READ_BITS);
	printf("  SOUND_PCM_READ_FILTER = 0x%x\n",  SOUND_PCM_READ_FILTER);

	printf("  SNDCTL_COPR_RESET = 0x%x\n",  SNDCTL_COPR_RESET);
	printf("  SNDCTL_COPR_LOAD = 0x%x\n",   SNDCTL_COPR_LOAD);
	printf("  SNDCTL_COPR_RDATA = 0x%x\n",  SNDCTL_COPR_RDATA);
	printf("  SNDCTL_COPR_RCODE = 0x%x\n",  SNDCTL_COPR_RCODE);
	printf("  SNDCTL_COPR_WDATA = 0x%x\n",  SNDCTL_COPR_WDATA);
	printf("  SNDCTL_COPR_WCODE = 0x%x\n",  SNDCTL_COPR_WCODE);
	printf("  SNDCTL_COPR_RUN = 0x%x\n",    SNDCTL_COPR_RUN);
	printf("  SNDCTL_COPR_HALT = 0x%x\n",   SNDCTL_COPR_HALT);
	printf("  SNDCTL_COPR_SENDMSG = 0x%x\n",SNDCTL_COPR_SENDMSG);
	printf("  SNDCTL_COPR_RCVMSG = 0x%x\n", SNDCTL_COPR_RCVMSG);

	return 0;
}

